include <sizes.scad>
mountings = [[7.5,12], [32.5,12], [32.5,35], [7.5,35]];
$fn=36;

difference() {
	import("x-carriage.stl");

	for (xy = mountings) {
		translate(xy) {
			cylinder(r=m3_clearance/2, h = 100);
			cylinder(r=m3_nut/sqrt(3), h = m3_nut_h, $fn=6);
		}
		translate([xy[0],38])
			cube(size=[m3_nut/sqrt(3),2,m3_nut_h*2], center=true);
	}
}
